package com.steering.model.lims;

/**
 * 数据库表M_MATERIAL_T所对应的实体类（生成工具：代码生成器3.0）
 * @author LAPTOP-I2IGVKJC   date 2021-09-12
 */
@SuppressWarnings("serial")
public class MMaterialTEntity implements java.io.Serializable {
    /**
     * 物料编码
     */
    private String materielcode = "";
    /**
     * 物料名称
     */
    private String materielname = "";
    /**
     * ERP编码 或 仓储物流编码
     */
    private String erpcode = "";
    /**
     * 是否质检0=不质检 1=质检
     */
    private String checkflag = "";
    /**
     * 使用次数
     */
    private String usercount = "";
    /**
     * 更新时间
     */
    private String uptime = "";
    /**
     * 更新人编码
     */
    private String upoperatorid = "";
    /**
     * 更新人
     */
    private String upoperator = "";
    /**
     * 记录类型 0=自动上传 1=手工维护
     */
    private String recordtype = "";
    /**
     * 是否有效0作废，1没有作废
     */
    private String validflag = "";
    /**
     * 更新时间戳
     */
    private String uptimestamp = "";

    /**
     * 物料编码
     * @return value
     */
    public String getMaterielcode() {
        return materielcode;
    }

    /**
     * 物料编码
     * @param materielcode value
     */
    public void setMaterielcode(String materielcode) {
        this.materielcode = materielcode;
    }

    /**
     * 物料名称
     * @return value
     */
    public String getMaterielname() {
        return materielname;
    }

    /**
     * 物料名称
     * @param materielname value
     */
    public void setMaterielname(String materielname) {
        this.materielname = materielname;
    }

    /**
     * ERP编码 或 仓储物流编码
     * @return value
     */
    public String getErpcode() {
        return erpcode;
    }

    /**
     * ERP编码 或 仓储物流编码
     * @param erpcode value
     */
    public void setErpcode(String erpcode) {
        this.erpcode = erpcode;
    }

    /**
     * 是否质检0=不质检 1=质检
     * @return value
     */
    public String getCheckflag() {
        return checkflag;
    }

    /**
     * 是否质检0=不质检 1=质检
     * @param checkflag value
     */
    public void setCheckflag(String checkflag) {
        this.checkflag = checkflag;
    }

    /**
     * 使用次数
     * @return value
     */
    public String getUsercount() {
        return usercount;
    }

    /**
     * 使用次数
     * @param usercount value
     */
    public void setUsercount(String usercount) {
        this.usercount = usercount;
    }

    /**
     * 更新时间
     * @return value
     */
    public String getUptime() {
        return uptime;
    }

    /**
     * 更新时间
     * @param uptime value
     */
    public void setUptime(String uptime) {
        this.uptime = uptime;
    }

    /**
     * 更新人编码
     * @return value
     */
    public String getUpoperatorid() {
        return upoperatorid;
    }

    /**
     * 更新人编码
     * @param upoperatorid value
     */
    public void setUpoperatorid(String upoperatorid) {
        this.upoperatorid = upoperatorid;
    }

    /**
     * 更新人
     * @return value
     */
    public String getUpoperator() {
        return upoperator;
    }

    /**
     * 更新人
     * @param upoperator value
     */
    public void setUpoperator(String upoperator) {
        this.upoperator = upoperator;
    }

    /**
     * 记录类型 0=自动上传 1=手工维护
     * @return value
     */
    public String getRecordtype() {
        return recordtype;
    }

    /**
     * 记录类型 0=自动上传 1=手工维护
     * @param recordtype value
     */
    public void setRecordtype(String recordtype) {
        this.recordtype = recordtype;
    }

    /**
     * 是否有效0作废，1没有作废
     * @return value
     */
    public String getValidflag() {
        return validflag;
    }

    /**
     * 是否有效0作废，1没有作废
     * @param validflag value
     */
    public void setValidflag(String validflag) {
        this.validflag = validflag;
    }

    /**
     * 更新时间戳
     * @return value
     */
    public String getUptimestamp() {
        return uptimestamp;
    }

    /**
     * 更新时间戳
     * @param uptimestamp value
     */
    public void setUptimestamp(String uptimestamp) {
        this.uptimestamp = uptimestamp;
    }
}
